DEBUG = True
TEMPLATE_DEBUG = DEBUG

# This is a URL alphabet.  I suggest using the following snippet to generate
# yours:
#
#  import random
#  alphabet = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789"
#  print ''.join(random.sample(alphabet, len(alphabet)))
#
# WARNING: This is not a security measure (it only allows for a bit more
#          randomized feel to the generated short URLs).
#          All short URLs are effectively public.
URL_ALPHABET = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789'

# Restrict number of short urls that can be created from a single ip address.
URLS_PER_IP = 100

ADMINS = (
    ('Admin', 'root@localhost'),
)

MANAGERS = ADMINS

import os.path
APP_ROOT = os.path.dirname(__file__)

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(APP_ROOT, 'db', 'urls.db'),
        'USER': '',
        'PASSWORD': '',
        'HOST': '',
        'PORT': '',
    }
}

TIME_ZONE = 'Europe/Belgrade'
LANGUAGE_CODE = 'en-us'

SITE_ID = 1

USE_I18N = True
USE_L10N = True

MEDIA_ROOT = os.path.join(APP_ROOT, 'media')
MEDIA_URL = '/media/'

STATIC_ROOT = os.path.join(APP_ROOT, 'static')
STATIC_URL = '/static/'
ADMIN_MEDIA_PREFIX = '/static/admin/'

STATICFILES_DIRS = (
)

STATICFILES_FINDERS = (
    'django.contrib.staticfiles.finders.FileSystemFinder',
    'django.contrib.staticfiles.finders.AppDirectoriesFinder',
)

# Make this unique, and don't share it with anybody.
SECRET_KEY = 't0@t7=@s0bs6r(^u8ol-!4t_fpe&#&mp*c=71l^n14(da#)1)a'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.Loader',
    'django.template.loaders.app_directories.Loader',
#     'django.template.loaders.eggs.Loader',
)

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
)

ROOT_URLCONF = 'urls'

TEMPLATE_DIRS = (
    os.path.join(APP_ROOT, 'templates'),
)

INSTALLED_APPS = (
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'django.contrib.admin',
    #'django.contrib.admindocs',
    'url_shortener',
)

LOGGING = {
    'version': 1,
    'disable_existing_loggers': False,
    'handlers': {
        'mail_admins': {
            'level': 'ERROR',
            'class': 'django.utils.log.AdminEmailHandler'
        }
    },
    'loggers': {
        'django.request': {
            'handlers': ['mail_admins'],
            'level': 'ERROR',
            'propagate': True,
        },
    }
}
