from url_shortener.models import (
    Url,
    Bookmark,
)
from django.contrib import admin


class UrlAdmin(admin.ModelAdmin):
    fields = ['long_url', 'ip_address']
    list_display = ('id', 'long_url', 'short_url', 'ip_address')
    search_fields = ['id', 'long_url', 'ip_address']


class BookmarkAdmin(admin.ModelAdmin):
    fields = ['name', 'url']
    list_display = ('id', 'name', 'url')
    search_fields = ['name', 'url']

admin.site.register(Url, UrlAdmin)
admin.site.register(Bookmark, BookmarkAdmin)
