"""Utilities for representing numbers in arbitrary alphabet of digits."""


def encode_in_alphabet(value, alphabet='0123456789abcdef'):
    """Convert integer `value` to base len(`alphabet`).

    `alphabet` is used as the system of digits.  Default alphabet returns
    a hexadecimal representation of `value`.
    """
    alphabet = str(alphabet)
    value = long(value)
    alphabet_length = len(alphabet)
    snippet = ""
    while value >= 0:
        digit = alphabet[value % alphabet_length]
        snippet = digit + snippet
        value = value // alphabet_length
        if value == 0:
            break
    return snippet


def decode_in_alphabet(value, alphabet='0123456789abcdef'):
    """Convert the string `value` (number in `alphabet`) to integer."""
    number = 0
    base = len(alphabet)
    for char in value:
        number = number * base + alphabet.find(char)
    return number
